      SUBROUTINE clear(dset, dset_new)
c		fwj haberl march 1988
c		subroutine for XPLOT
      INCLUDE 'xplot.inc'
      INTEGER*4 dset, dset_new, i, ix, iy
 
c 1 viewport in x, 1 viewport in y
      divx = 1
      divy = 1
      qabc = .FALSE.
      DO iy = 1, yplotmax
         DO ix = 1, xplotmax
            abc(ix, iy) = 'none'
         ENDDO
      ENDDO
      offsetx = .12
      offsety = .12
      plenx(1) = 1. - 1.5*offsetx
      pleny(1) = 1. - offsety
      DO i = 2, xplotmax
         plenx(i) = 0.
      ENDDO
      DO i = 2, yplotmax
         pleny(i) = 0.
      ENDDO
      framex1(1) = offsetx
      framex2(1) = offsetx + plenx(1)
      framey1(1) = offsety
      framey2(1) = offsety + pleny(1)
      dset = 0
      dset_new = 0
      DO i = 1, xplotmax
         limitx(1, i) = 0.
         limitx(2, i) = 0.
         qslimx(i) = .FALSE.
         qxlog(i) = .FALSE.
      ENDDO
      DO i = 1, dset_max
         phead(i) = ' '
         tllab(i) = ' '
         trlab(i) = ' '
         xlab(i) = ' '
         ylab(i) = ' '
         symbol(i) = 1
         pos(1, i) = 0
         pos(2, i) = 0
      ENDDO
      DO i = 1, yplotmax
         limity(1, i) = 0.
         limity(2, i) = 0.
         qslimy(i) = .FALSE.
         qylog(i) = .FALSE.
      ENDDO
 
      RETURN
      END
